Bug 585328 - down converting with a running up convert in progress causes the running up convert to run indefinately
down converting with a running up convert in progress causes the running up c...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Jonathan Earl Brassow
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 13:50 EDT by Corey Marthaler
Modified: 2011-01-13 17:41 EST (History)
8 users (show)

See Also:
Fixed In Version: lvm2-2.02.73-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 17:41:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes problem (644 bytes, patch)
2010-08-25 17:21 EDT, Jonathan Earl Brassow
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0052 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2011-01-12 12:15:25 EST

  None (edit)
Description Corey Marthaler 2010-04-23 13:50:42 EDT
Description of problem:

[root@taft-01 tmp]# lvs -a -o +devices
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Convert Devices        
  lv       taft       -wi-a-  1.00G                                       /dev/sdb1(0) 

[root@taft-01 tmp]# lvconvert -m 1 taft/lv
  taft/lv: Converted: 52.3%

  [ Attempt the down convert below here ]

  taft/lv: Converted: 100.0%
  taft/lv: Converted: 100.0%
  taft/lv: Converted: 100.0%
  taft/lv: Converted: 100.0%
  taft/lv: Converted: 100.0%
  taft/lv: Converted: 100.0%
  taft/lv: Converted: 100.0%
  taft/lv: Converted: 100.0%

 # These 100.0% messages will continue forever now.


[root@taft-01 tmp]#  lvconvert -m 0 taft/lv
  Logical volume lv converted.

[root@taft-01 tmp]# lvs -a -o +devices
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Convert Devices        
  lv       taft       -wi-a-  1.00G                                       /dev/sdb1(0)   


Version-Release number of selected component (if applicable):
lvm2-2.02.56-10.el5

How reproducible:
Everytime
Comment 1 Jonathan Earl Brassow 2010-08-25 17:21:33 EDT
Created attachment 441055 [details]
Patch that fixes problem

This patch causes the polling to stop if the LV is found to no longer be a mirror.

This patch applies to the rhel5 LVM tree.

I have not yet sent this patch upstream.
Comment 3 Milan Broz 2010-08-30 06:39:46 EDT
Fix in lvm2-2.02.73-1.el5.
Comment 5 Corey Marthaler 2010-11-05 17:43:12 EDT
Fix verified in the latest rpms.

2.6.18-227.el5

lvm2-2.02.74-1.el5    BUILT: Fri Oct 15 10:26:21 CDT 2010
lvm2-cluster-2.02.74-2.el5    BUILT: Fri Oct 29 07:48:11 CDT 2010
device-mapper-1.02.55-1.el5    BUILT: Fri Oct 15 06:15:55 CDT 2010
cmirror-1.1.39-10.el5    BUILT: Wed Sep  8 16:32:05 CDT 2010
kmod-cmirror-0.1.22-3.el5    BUILT: Tue Dec 22 13:39:47 CST 2009


[root@taft-01 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize  Log Copy% Devices
  lv       taft       -wi-a-  1.00G           /dev/sdb1(0)
[root@taft-01 ~]# lvconvert -m 1 taft/lv
  taft/lv: Converted: 1.2%
  taft/lv: Converted: 48.8%

  [ Attempt the down convert below here ]

  ABORTING: Mirror percentage check failed.


[root@taft-01 ~]# lvconvert -m 0 taft/lv
  Logical volume lv converted.
[root@taft-01 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize  Log Copy% Devices
  lv       taft       -wi-a-  1.00G           /dev/sdb1(0)
Comment 7 errata-xmlrpc 2011-01-13 17:41:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0052.html

Note You need to log in before you can comment on or make changes to this bug.